--填空题
Lua_QuestionDescribePanel = class("Lua_QuestionDescribePanel", Lua_DisplayObject);
function Lua_QuestionDescribePanel:ctor(p)
	self:superCall("ctor", p,"QuestionDescribePanel_skin");
end

function Lua_QuestionDescribePanel:buildShowItem()
	self:superCall("buildShowItem");
	self.inputText.text = "";
	self.inputText.lineTypeValue = 2;
	self.inputText:onChange(self, self.onChangeShow);
end

function Lua_QuestionDescribePanel:setData(id)
	self.data = DataCenter.questionUtil:getQuestionCfgDataById(id);
	self.limit_num = self.data.limit_num;
	self.inputText.strLenLimit = self.limit_num;

	local str = DataCenter.questionUtil:getWordsQuestion(id);--填空题
    if str ~= nil then
    	self.inputText.text = str;
	else
		self.inputText.defaultText = LanUtil.formateStr(650004, tostring(self.limit_num));
	end

	self:onChangeShow();
end

--更新输入字数数量
function Lua_QuestionDescribePanel:onChangeShow()
	local show1 = utf8len(self.inputText.text);
	self.des_txt.text = LanUtil.formateStr(650005, tostring(self.limit_num-show1));
	if show1 == 0 then
		DataCenter.questionUtil:removeClientQuestion(self.data.id);--移除选项
	else
		DataCenter.questionUtil:addClientQuestion(self.data.id, nil, self.inputText.text);--添加选项
	end
	self:showLine();
	if show1 == self.limit_num then
		OperateAlert.showLangValue(650017);
		return
	end
end

function Lua_QuestionDescribePanel:showLine()
	local showlen = Mathf.Ceil(strlen(self.inputText.text)/38);
	if showlen == 0 then
		showlen = 1;
	end
    if self.lineInfo == nil then
        self.lineInfo = Array();
    end
    local len = self.lineInfo:getSize();
    for i = 1, len do
        self.lineInfo[i]:setEnable(false);
    end

    local item;
    for i = 1, showlen do
        if self.lineInfo[i] ~= nil then
            item = self.lineInfo[i];
        else
            item = UICreate.createUIAtlasImage(self.content, "question_atlas", "xui_wjdc_line_3", 0, 0, 480, 2);
            self.lineInfo:add(item);
        end
		item:setLocation(0, 209-( i - 1) * 52, 0);
        item:setEnable(true);
    end
    self.des_txt:setLocation(149, 195 - ( showlen - 1) * 52, 0);
end

function Lua_QuestionDescribePanel.Get:offectY()
	return 200;
end

function Lua_QuestionDescribePanel:dispose()
	self.data = nil;
	if self.lineInfo ~= nil then
		self.lineInfo:dispose();
		self.lineInfo:clear();
		self.lineInfo = nil;
	end
	self:superCall("dispose");
end