--答题
checkRequire("Lua_QuestionSelectPanel");--选择题
checkRequire("Lua_QuestionDescribePanel");--填空题
checkRequire("Lua_QuestionSectionPanel");--量表题
checkRequire("Lua_QuestionMatrixSelectPanel");--矩阵
Lua_QuestionPanel = class("Lua_QuestionPanel", Lua_DisplayObject);
function Lua_QuestionPanel:ctor(p)
	self:superCall("ctor", p,"QuestionPanel_skin");
end

function Lua_QuestionPanel:buildShowItem()
	self:superCall("buildShowItem");
	self.panelObjTab = {};
end

function Lua_QuestionPanel:setData(info)
	for idx, panelObj in pairs(self.panelObjTab) do
        panelObj:dispose();
        panelObj = nil;
    end
    
    local y = 0;
    local panel;
    local cfgData;
	local len = info:getSize();
	for i=1, len do
		cfgData = DataCenter.questionUtil:getQuestionCfgDataById(info[i]);
		-- print(info[i],"        ",DataCenter.questionUtil:getTriggerState(info[i])," Lua_QuestionPanel == ",cfgData.common_title)
		if cfgData ~= nil and DataCenter.questionUtil:getTriggerState(info[i]) then
			if cfgData.contentTemplate == 1 then--单选多选题
				panel = Lua_QuestionSelectPanel.new(self.content);
			elseif cfgData.contentTemplate == 2 then--矩阵选择题
				panel = Lua_QuestionMatrixSelectPanel.new(self.content);
			elseif cfgData.contentTemplate == 3 then--填空题
				panel = Lua_QuestionDescribePanel.new(self.content);
			elseif cfgData.contentTemplate == 4 then--量表题
				panel = Lua_QuestionSectionPanel.new(self.content);
			end
			if panel ~= nil then
				panel:setData(cfgData.id, i== len);
				panel:setLocation(0, y, 0);
				y = y + panel.offectY;
				self.panelObjTab[i] = panel;
			end
			self.title_txt.text = cfgData.common_title;
		end
	end
	self.title_txt:resetSize();
	self.line1:setEnable(self.title_txt.height > 26);
end

function Lua_QuestionPanel:dispose()
	self.title_txt = nil;
	if self.panelObjTab ~= nil then
		for idx, panelObj in pairs(self.panelObjTab) do
            panelObj:dispose();
            self.panelObjTab[idx] = nil;
        end
		self.panelObjTab = nil;
	end
	self.panel = nil;
	self:superCall("dispose");
end